List checkout redirects
GET
/checkout-redirects
const url = 'https://acme.mykreezalid.com/api/v1/checkout-redirects';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/api/v1/checkout-redirects \ --header 'Authorization: Basic <credentials>'Returns all your checkout redirects.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The checkout redirects
Media typeapplication/json
Array<object>
A redirect of the checkout to your own page.
object
totalResultsCount
Number of results across all pages.
integer
currentPage
Number of the page returned, starting at 1.
integer
nextPage
Whether a next page exists.
boolean
prevPage
Whether a previous page exists.
boolean
resultOnPageCount
Number of results on this page.
integer
pageCount
Number of pages.
integer
id
integer
object
Returned when you retrieve or create one redirect, not in the list
string
checkout_step
Step after which the customer is redirected
string
redirect_url
Your page
string
status
string
created
string format: date-time
Example
[ { "totalResultsCount": 137, "currentPage": 1, "resultOnPageCount": 25, "pageCount": 6, "id": 4242, "object": "CheckoutRedirect", "checkout_step": "cart", "redirect_url": "https://example.com/checkout-extra", "status": "active" }]